{% load static %}

<footer class="mt-16 text-white bg-gradient-to-br from-main/95 to-main-dark">
  <div class="px-4 pb-px pt-10 sm:px-10 bg-[url({% static "media/images/islamic_pattern_9.png" %})] bg-[length:10rem_auto] bg-fixed">
    <div class="grid md:grid-cols-[3fr_2fr] lg:grid-cols-[3fr_2fr_2fr_2fr] gap-8 lg:gap-12 laptop:gap-16 max-w-screen-xl mx-auto">
  
      {% comment %} LOGO BLOCK {% endcomment %}
      <div data-aos="fade-left" data-aos-duration="1000" class="pr-10 md:pr-0">
  
        {% comment %} LOGO {% endcomment %}
        <a href="{% url "apps.base:index" %}" title="{{_("Main page")}}" class="flex items-center gap-3 text-xl font-medium transition-colors hover:text-accent">
          <img
            src="{% static 'media/images/islamic_logo.webp' %}"
            class="w-16 h-16 object-cover drop-shadow-lg"
            alt="Main page"
            height="64"
            width="64"
          />
          <span>{{_("Islamic Center of Maineville")}}</span>
        </a>
  
        {% comment %} DESCRIPTION {% endcomment %}
        {% if LANG == "en" %}
        <p class="px-5 pt-5 max-w-sm opacity-90 text-sm">
          Our mosque is open to everyone who wants to get acquainted with Islam and
          its culture. We provide regular prayers and lessons that will help
          increase your knowledge in this area.
        </p>
        {% elif LANG == "ru" %}
        <p class="px-5 pt-5 max-w-sm opacity-90 text-sm">
          Наша мечеть открыта для всех, кто желает познакомиться с исламом и его
          культурой. Мы проводим регулярные молитвы и уроки, которые помогут
          расширить ваши познания в этой области.
        </p>
        {% elif LANG == "uz" %}
        <p class="px-5 pt-5 max-w-sm opacity-90 text-sm">
          Masjidimiz Islom dini va uning madaniyati bilan yaqindan tanishishni
          istagan har bir kishi uchun ochiq. Biz ushbu sohadagi bilimingizni
          oshirishga yordam beradigan muntazam ibodatlar va darslarni taqdim etamiz.
        </p>
        {% endif %}
      </div>
  
      {% comment %} LOCATION {% endcomment %}
      <div data-aos="fade-left" data-aos-duration="1000" data-aos-delay="100" class="pl-5 md:pt-3.5 md:pl-0">
        <h3 class="font-bold text-accent">
          {% if LANG == 'en' %}
          <span>Location</span>
          {% elif LANG == 'ru' %}
          <span>Расположение</span>
          {% elif LANG == 'uz' %}
          <span>Manzilimiz</span>
          {% endif %}
        </h3>
        <p class="font-medium mt-5">Maineville, OH</p>
        <p class="opacity-90 max-w-[11rem]">
          <address class="text-sm pt-0.5">
            {{address.address_line_1}},
          </address>
          <address class="text-sm">
            {{address.address_line_2}}.
          </address>
          <br/>
          <address class="text-sm grid grid-cols-[1.3rem_auto] items-center">
            <i class="fa-solid fa-phone"></i>
            <a href="tel:{{address.phone}}" title="{{address.phone}}" class="hover:text-main-darken transition-colors whitespace-nowrap">
              {{address.phone}}
            </a>
          </address>
          <address class="text-sm grid grid-cols-[1.3rem_auto] items-center mt-1">
            <i class="fa-solid fa-envelope"></i>
            <a href="mailto:{{address.email}}" title="{{address.email}}" class="hover:text-main-darken transition-colors whitespace-nowrap">
              {{address.email}}
            </a>
          </address>
        </p>
      </div>
  
      {% comment %} SOCIALS {% endcomment %}
      <div data-aos="fade-left" data-aos-duration="1000" data-aos-delay="200" class="pl-5 md:pt-3.5 lg:pl-0">
        <h3 class="font-bold text-accent">{{_("Social network")}}</h3>
        <ul class="grid gap-1 text-sm mt-5">
          <li>
            <a href="https://facebook.com" target="_blank" title="Facebook" class="inline-grid grid-cols-[2.25rem_auto] items-center hover:text-main-darken transition-colors drop-shadow-lg">
              <i class="fa-brands fa-facebook text-xl text-center"></i>
              <span>Facebook</span>
              <span class="sr-only">Facebook</span>
            </a>
          </li>
          <li>
            <a href="https://twitter.com" target="_blank" title="Twitter" class="inline-grid grid-cols-[2.25rem_auto] items-center hover:text-main-darken transition-colors drop-shadow-lg">
              <i class="fa-brands fa-twitter text-xl text-center"></i>
              <span>Twitter</span>
              <span class="sr-only">Twitter</span>
            </a>
          </li>
          <li>
            <a href="https://youtube.com" target="_blank" title="Youtube" class="inline-grid grid-cols-[2.25rem_auto] items-center hover:text-main-darken transition-colors drop-shadow-lg">
              <i class="fa-brands fa-youtube text-xl text-center"></i>
              <span>Youtube</span>
              <span class="sr-only">Youtube</span>
            </a>
          </li>
          <li>
            <a href="https://instagram.com" target="_blank" title="Instagram" class="inline-grid grid-cols-[2.25rem_auto] items-center hover:text-main-darken transition-colors drop-shadow-lg">
              <i class="fa-brands fa-instagram text-xl text-center"></i>
              <span>Instagram</span>
              <span class="sr-only">Instagram</span>
            </a>
          </li>
        </ul>
      </div>
  
      {% comment %} SITEMAP {% endcomment %}
      <div data-aos="fade-left" data-aos-duration="1000" data-aos-delay="300" class="pl-5 md:pt-3.5 md:pl-0">
        <h3 class="font-bold text-accent">
          {% if LANG == 'en' %}
          <span>Sitemap</span>
          {% elif LANG == 'ru' %}
          <span>Карта сайта</span>
          {% elif LANG == 'uz' %}
          <span>Sayt xaritasi</span>
          {% endif %}
        </h3>
        <ul class="grid gap-1 text-sm mt-5">
          <li>
            <a href="{% url "apps.news:index" %}" title="{{_("News of Mosque")}}" class="transition-colors hover:text-main-darken whitespace-nowrap">
              {{_("News of Mosque")}}
              <span class="sr-only">{{_("News of Mosque")}}</span>
            </a>
          </li>
          <li>
            <a href="{% url "apps.about:index" %}" title="{{_("About our mosque")}}" class="transition-colors hover:text-main-darken whitespace-nowrap">
              {{_("About our mosque")}}
              <span class="sr-only">{{_("About our mosque")}}</span>
            </a>
          </li>
          <li>
            <a href="{% url "apps.timetable:index" %}" title="{{_("Prayer timetable")}}" class="transition-colors hover:text-main-darken whitespace-nowrap">
              {{_("Prayer timetable")}}
              <span class="sr-only">{{_("Prayer timetable")}}</span>
            </a>
          </li>
          <li>
            <a href="{% url "apps.world_of_islam:index" %}" title="{{_("World of Islam")}}" class="transition-colors hover:text-main-darken whitespace-nowrap">
              {{_("World of Islam")}}
              <span class="sr-only">{{_("World of Islam")}}</span>
            </a>
          </li>
          <li>
            <a href="{% url "apps.charity:index" %}" title="{{_("Charity")}}" class="transition-colors hover:text-main-darken whitespace-nowrap">
              {{_("Charity")}}
              <span class="sr-only">{{_("Charity")}}</span>
            </a>
          </li>
          <li>
            <a href="{% url "apps.museum:index" %}" title="{{_("Museum")}}" class="transition-colors hover:text-main-darken whitespace-nowrap">
              {{_("Museum")}}
              <span class="sr-only">{{_("Museum")}}</span>
            </a>
          </li>
          <li>
            <a href="{% url "apps.contacts:index" %}" title="{{_("Contacts")}}" class="transition-colors hover:text-main-darken whitespace-nowrap">
              {{_("Contacts")}}
              <span class="sr-only">{{_("Contacts")}}</span>
            </a>
          </li>
        </ul>
      </div>
    </div>
  
    {% comment %} RIGHTS {% endcomment %}
    <div data-aos="zoom-in" data-aos-duration="1000" data-aos-anchor-placement="top-bottom" class="mt-5 p-5 text-center text-sm bg-gradient-to-r from-transparent via-main/60">
      <p>Copyright 2023 - {% now "Y" %} &copy; {{_("Islamic Center of Maineville")}}, Inc - {{_("All Rights Reserved")}}.</p>
      <hr class="max-w-4xl mx-auto my-2 border-white/40"/>
      <p class="text-xs max-w-4xl mx-auto px-2 opacity-80">
        {{_("ICM does not solicit donations from any foreign government, organization, association, partnership or individual or any agent thereof. Any such attempt should be reported immediately to (info@icm.us).")}}
      </p>
    </div>
  </div>
</footer>